<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="HtmlTemplates\Token2FBody.html" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="HtmlTemplates\AcceptCheckListHeaderBody.html" />
    <EmbeddedResource Include="HtmlTemplates\Token2FBody.html" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="13.0.1" />
    <PackageReference Include="DocumentFormat.OpenXml" Version="3.3.0" />
    <PackageReference Include="Google.Apis.Auth" Version="1.69.0" />
    <PackageReference Include="MailKit" Version="4.11.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="8.0.3" />
    <PackageReference Include="Serilog.Expressions" Version="5.0.0" />
    <PackageReference Include="Serilog.Settings.Configuration" Version="9.0.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
    <PackageReference Include="SixLabors.ImageSharp" Version="3.1.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\WorkFlowCheck.Common\WorkFlowCheck.Common.csproj" />
    <ProjectReference Include="..\WorkFlowCheck.DL\WorkFlowCheck.DL.csproj" />
  </ItemGroup>

</Project>
